A Silver Ranger has similar style as a Human Hawkeye. But their evasion and hit rates are better than Men. He is one of the most dreaded characters during Siege Battle. Even a Paladin would not outlast an attack by a group of them.
They have basic skills such as strengthening their bows and various other skills such as shooting several arrows simultaneously.
To be a Silver Ranger, your level must be over 40 and you need to collect the Mark of the Seeker, the Mark of Life, and the Mark of the Sagittarius.
Ask about marks.
Return